How to fix LibreOffice PPA not installing newer versions

Questions about applications and software
Forum rules
Before you post please read how to get help
xdicey
Level 4
Level 4
Posts: 473
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Fri Dec 04, 2015 2:15 am

Thanks for the update xenopeek.

This update will allow me to get the latest LO from software manager then?
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
xenopeek
Level 24
Level 24
Posts: 24069
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Fri Dec 04, 2015 3:18 am

xdicey wrote:This update will allow me to get the latest LO from software manager then?
If you add a LO PPA to your system, yes.
Image

xdicey
Level 4
Level 4
Posts: 473
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Fri Dec 04, 2015 6:59 pm

I see. Thanks :) .

I feel I read somewhere that 17.3 has the latest LO; If I wasn't just 'miraging', I will just wait for that.

Thanks again.
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
xenopeek
Level 24
Level 24
Posts: 24069
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Sat Dec 05, 2015 5:50 pm

You are correct! :) 17.3 has LibreOffice 5.0.3; I hadn't run it yet. That's unrelated to my update though.

My update was about the update that arrived to all 17.x users. This changes some internals so you don't need to change the priority of a PPA to use it to install newer versions of software available on Linux Mint. If you want a newer LibreOffice version than is available on Linux MInt 17.3, you will still need to add a PPA to your system for that. But you won't need to change priorities for it. That's the update.
Image

xdicey
Level 4
Level 4
Posts: 473
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Sat Dec 05, 2015 9:42 pm

xenopeek wrote:You are correct! :) 17.3 has LibreOffice 5.0.3; I hadn't run it yet. That's unrelated to my update though.

My update was about the update that arrived to all 17.x users. This changes some internals so you don't need to change the priority of a PPA to use it to install newer versions of software available on Linux Mint. If you want a newer LibreOffice version than is available on Linux MInt 17.3, you will still need to add a PPA to your system for that. But you won't need to change priorities for it. That's the update.
Now I get it :) .
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
Mimoelgato
Level 1
Level 1
Posts: 17
Joined: Thu Oct 16, 2014 7:32 pm
Location: Tarapoto - Peru

Re: How to fix LibreOffice PPA not installing newer versions

Post by Mimoelgato » Mon Dec 21, 2015 8:23 am

Hi Xenopeek
It seems this bug continues with Mint 17.3, as it is now a few days Libreoffice 5.04 is out and there is still no update from 5.03 to 5.04.
Best regards

User avatar
xenopeek
Level 24
Level 24
Posts: 24069
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Mon Dec 21, 2015 8:46 am

Mimoelgato wrote:It seems this bug continues with Mint 17.3, as it is now a few days Libreoffice 5.04 is out and there is still no update from 5.03 to 5.04.
No, this is just you being impatient. LibreOffice 5.0.3 is the latest version in the official LibreOffice's PPAs (look here https://launchpad.net/~libreoffice/+archive/ubuntu/ppa). This has nothing to do with Linux Mint.
Image

kevinrf
Level 1
Level 1
Posts: 10
Joined: Wed Oct 14, 2015 1:34 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by kevinrf » Fri Feb 12, 2016 11:54 pm

Bear with me, a noob. I have read this thread several times, though. I am running 17.2, 32 bit with LO 4.4.3.2. Cannot find LO 5 in Update Manager either. So following the instructions offered I opened terminal and typed,
1. apt-cache policy libreoffice I saw that I had the common trusty1 version with the numeral 500 appearing several times in the several line response. I am surmising that this is the 500 vs. 700 level addressed elsewhere in the thread.
2 So not understanding why I would use nano when I have a perfectly good terminal present, natively, I hit Alt F2 and typed,
gksudo gedit /etc/apt/preferences.d/libreoffice.pref and then in the box appearing below, I typed,
Package: *
Pin: release o=LP-PPA-libreoffice
Pin-Priority: 700

Clicked save and then exited.
3. Opened Software Manager and did not find ver 5
4. Went back to Alt F2 and edited the second line, Pin: release o=LP-PPA-libreoffice-4-4 as did one poster who found success as a result. Sadly, I did not.
5. Opened Software Sources within Update Manager and saw that "Official repositories" was highlighted. Wanting to make sure, I clicked PPAs and saw that there were none entered. No additional repositories either. Clicked Restore the default settings as a precaution and exited. Still no LO 5 anywhere.
6. Reentered Software Sources and selected "Enable source code repositories" and exited. I did get two additional level 3 upgrades made available but no LO 5

What am I doing wrong? It is not the end of the world to not have LO 5, but it is the principle of the thing. What other upgrades am I missing out on because of this "block" in my setup?

User avatar
xenopeek
Level 24
Level 24
Posts: 24069
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Sat Feb 13, 2016 3:12 am

kevinrf wrote:I am running 17.2, 32 bit with LO 4.4.3.2. Cannot find LO 5 in Update Manager either.
Either upgrade to Linux Mint 17.3, which comes with LibreOffice 5.x, or add a LibreOffice 5.x or LibreOffice <no specific version> PPA to your system.

Your steps 1 through 6 are futile and pointless. (Especially "Pin: release o=LP-PPA-libreoffice-4-4" part is pointless; that is for a LibreOffice 4.4 PPA...) There is nothing blocking a LibreOffice PPA that has version 5.x from showing as an upgrade in Upgrade Manager.
Image

User avatar
Pjotr
Level 21
Level 21
Posts: 13256
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: How to fix LibreOffice PPA not installing newer versions

Post by Pjotr » Sat Feb 13, 2016 5:52 am

Two days ago, Libre Office 5.1 has landed in the only "semi-official" PPA, which is reliable and safe to use. :mrgreen:

Install Libre Office 5.1 like this:
https://sites.google.com/site/easylinux ... bre-Office
(item 3, right column)
Tip: 10 things to do after installing Linux Mint 19.2 Tina
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

xdicey
Level 4
Level 4
Posts: 473
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Sat Feb 13, 2016 2:13 pm

Pjotr wrote:Two days ago, Libre Office 5.1 has landed in the only "semi-official" PPA, which is reliable and safe to use. :mrgreen:

Install Libre Office 5.1 like this:
https://sites.google.com/site/easylinux ... bre-Office
(item 3, right column)
Pjtor,

Did you mean say 'item 4. . . '?
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
Pjotr
Level 21
Level 21
Posts: 13256
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: How to fix LibreOffice PPA not installing newer versions

Post by Pjotr » Sat Feb 13, 2016 2:21 pm

xdicey wrote:
Pjotr wrote:Two days ago, Libre Office 5.1 has landed in the only "semi-official" PPA, which is reliable and safe to use. :mrgreen:

Install Libre Office 5.1 like this:
https://sites.google.com/site/easylinux ... bre-Office
(item 3, right column)
Pjtor,

Did you mean say 'item 4. . . '?
Yes, you're right... :P

As I've moved the actual how-to to another page since then, this is an even better link:
https://sites.google.com/site/easylinux ... bre-Office
(item 8, right column)
Tip: 10 things to do after installing Linux Mint 19.2 Tina
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

xdicey
Level 4
Level 4
Posts: 473
Joined: Wed Sep 16, 2015 2:42 pm

Re: How to fix LibreOffice PPA not installing newer versions

Post by xdicey » Sat Feb 13, 2016 2:50 pm

I followed the instructions, refreshed Update Manager but only got update, 44.0.2 for Firefox.

There are 2 items in the Software Sources PPA though: libreoffice/libreoffice-5-1 and libreoffice/libreoffice-5-1 (Sources)

I didn't have any PPAs in SS prior to this.

Launched LO anyway and it's still 4.43

I updated FF, refreshed again but LO is not there. Where/how to fix this?

Edit question to ask: how to get the update manager to show this LO update?
-QUAD CORE Intel Core i7-4700MQ CPU (-HT-MCP-) 2.40GHz x4
-16GB RAM, 1 TB SSHD
-Graphics Card: Intel 4th Gen Core Processor Integrated Graphics Controller

User avatar
xenopeek
Level 24
Level 24
Posts: 24069
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: How to fix LibreOffice PPA not installing newer versions

Post by xenopeek » Tue Feb 16, 2016 12:39 pm

This tutorial is no longer needed on Linux Mint 17.x, hence locking this topic as questions about other issues get posted here in confusion. Linux Mint 17.3 comes with LibreOffice 5.x. Nothing else needed.

If you're for some reason using an older Linux Mint 17.x release you'll have to add a LibreOffice PPA that has version 5.x yourself in Software Sources. This tutorial was for when you added such a PPA and needed to do something to give it priority. That step is no longer needed so the tutorial is now pointless also for Linux Mint 17.x other than 17.3.
Image

Locked

Return to “Software & Applications”